/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */

namespace TopCoder.Test.Framework.Servers
{

    /// <summary>
    /// This class is a mock class of <c>Server</c> used for test.
    /// </summary>
    ///
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class MockServer : Server
    {

        /// <summary>
        /// Dummy constructor.
        /// </summary>
        public MockServer()
            : base()
        {
        }

        /// <summary>
        /// Empty dummy method.
        /// </summary>
        public override void StartUp()
        {
        }

        /// <summary>
        /// Empty dummy method.
        /// </summary>
        public override void ShutDown()
        {
        }

        /// <summary>
        /// Empty dummy method.
        /// </summary>
        public override void InitData()
        {
        }

        /// <summary>
        /// Empty dummy method.
        /// </summary>
        public override void CleanUpData()
        {
        }

    }
}
